<bugID>583107<Summary>Get rid of FAH_getCurrentContext() method</Summary><Description>To quote gavin in bug 579954:

&gt; &gt;   getCurrentContext: function FAH_getCurrentContext()
&gt; 
&gt; I'd like to get rid of this function. I don't fully understand the ownership
&gt; models of the various objects involved, though. I assume there is only ever a
&gt; single HUDService instance, and it appears that it keeps track of individual
&gt; content windows. It's easy (though not necessarily cheap) to map content
&gt; windows to their chrome window parent (as the snippet of code above does), so
&gt; there should be no need to ever get the "most recent window".

snippet:

var xulWindow = aContentWindow.QueryInterface(Ci.nsIInterfaceRequestor)
                              .getInterface(Ci.nsIWebNavigation)
                              .QueryInterface(Ci.nsIDocShell)
                              .chromeEventHandler.ownerDocument.defaultView;</Description></bugID>